import { PrototypeStruct } from '../index.js';
declare type RejectCallbackFn<T> = (element: T) => boolean;
interface Reject<T> {
    reject(callbackFn: RejectCallbackFn<T>): T[];
}
export declare const reject: PrototypeStruct;
declare global {
    interface Array<T> extends Reject<T> {
    }
}
export {};
//# sourceMappingURL=reject.d.ts.map