import { PrototypeStruct } from '../index.js';
declare type DelayedCallback<T> = (...args: any) => T;
export interface PromiseDelayed {
    delayed<T>(delay: number, callback: DelayedCallback<T>): Promise<undefined | T>;
}
export declare const delayed: PrototypeStruct;
declare global {
    interface PromiseConstructor extends PromiseDelayed {
    }
}
export {};
//# sourceMappingURL=delayed.d.ts.map