export const of = {
    isStatic: true,
    label: 'of',
    fn: function weakMapOf(...elements) {
        try {
            return new WeakMap(elements);
        }
        catch (_) {
            throw new TypeError(`A WeakMap entry must contain [key, value] where key must be an object`);
        }
    },
};
//# sourceMappingURL=of.js.map